<?php

/*
Audio Plugin main script
*/

define ('AUDIO_ROOT', $plugin_cf["audio"]["root"]);
define ('AUDIO_DISPLAY_NAME', $plugin_cf['audio']['display_title']);
define ('AUDIO_DISPLAY_FORMAT', $plugin_cf['audio']['display_format']);
define ('AUDIO_FORMATS', $plugin_cf['audio']['formats']);
define ('AUDIO_NOT_EXIST', $plugin_tx['audio']['file_dont_exist']);
define('AUDIO_PLUGIN_BASE', $pth["folder"]["plugin"]);


function audio($audio=false) {


	if ($audio !== false) {

		$path = AUDIO_ROOT;

		if (is_dir($path . $audio)) {
			$ret .= audio_play_dir($path . $audio);
		}

		else {
			$ret .= audio_play_file($path, $audio);
		}
	}

	return $ret;
}


function audio_play_dir($path) {

	$formats = explode(",", AUDIO_FORMATS);

	$dir = scandir($path);

	foreach ($dir as $file) {

		$type = strtolower(pathinfo($file, PATHINFO_EXTENSION));
		$name = pathinfo($file, PATHINFO_BASENAME);


		// valid file extension
		if (in_array($type, $formats)) {
			$ret .= audio_play_file($path . '/', $name);
		}
	}

	return $ret;

}


function audio_play_file($path, $audio) {


	$path = $path . $audio;
	$ret = "";

	if (!file_exists($path) || !is_file($path)) {
		$ret .= sprintf('<div class="xh_warning">' . AUDIO_NOT_EXIST . '</div>', $audio);
	}

	else {

		$type = pathinfo($audio, PATHINFO_EXTENSION);
		$name = pathinfo($audio, PATHINFO_FILENAME  );

		$ret .= "<div class='plde_audio'>";

			// display file name as title
			if (AUDIO_DISPLAY_NAME) {
				$ret .= '<div class="plde_audio_header">';

					$ret .= '<div class="plde_audio_title">' . $name . '</div>';

					// display audio format
					if (AUDIO_DISPLAY_FORMAT) {
						$ret .= '<div class="plde_audio_type">' . $type . '</div>';
					}
				
				$ret .= '</div><div style="clear:both"></div>';
			}

			$ret .=  '<audio controls="" preload="auto">';

				$ret .= '<source src="' . $path . '">';

				$ret .= 'Your browser does not support the audio element.';
			$ret .= '</audio>';

		$ret .= "</div>";

	}

	$ret .= '<div style="clear:both"></div>';

	return $ret;
}


?>